<template name="home">
    <p><a href="{{pathFor 'add'}}">Add</a></p>
    <h1>Articles</h1>
    {{#each articles}}
        {{#if @index}}<hr>{{/if}}
        <p><a href="{{pathFor 'edit' _id}}">Edit</a></p>
        <p>Name : {{data.name}}</p>
        <p>ImageID : {{files.image}}</p>
        <p>
            <img src="{{imageLink}}" alt="{{data.name}}" height="100">
        </p>
    {{/each}}
</template>

<template name="add">
    <p><a href="{{pathFor 'home'}}">Home</a></p>
    <h1>Article add</h1>
    <h2>Form</h2>
    {{> quickForm collection=collection id="articleInsertForm" type="insert"}}
</template>

<template name="edit">
    <p><a href="{{pathFor 'home'}}">Home</a></p>
    <h1>Article edit</h1>
    <h2>Form</h2>
    {{> quickForm collection=collection doc=doc id="articleUpdateForm" type="update"}}
</template>